package cn.com.qmth.print.manage.dto;

import cn.com.qmth.print.manage.utils.excel.ExcelField;

import java.io.Serializable;

/**
 * @Description: 云阅卷考生导出对象
 * @Author: CaoZixuan
 * @Date: 2023-10-19
 */
public class ExamStudentExportDTO implements Serializable {

    /**
     * 科目代码
     */
    @ExcelField(title = "课程代码*", align = 2, sort = 1)
    private String subjectCode;

    /**
     * 科目名称
     */
    @ExcelField(title = "课程名称*", align = 2, sort = 2)
    private String subjectName;

    /**
     * 准考证号
     */
    @ExcelField(title = "准考证号*", align = 2, sort = 3)
    private String examNumber;

    /**
     * 学号
     */
    @ExcelField(title = "学号*", align = 2, sort = 4)
    private String studentCode;

    /**
     * 姓名
     */
    @ExcelField(title = "姓名*", align = 2, sort = 5)
    private String name;

    /**
     * 试卷袋签到表编号
     */
    @ExcelField(title = "签到表编号", align = 2, sort = 6)
    private String packageCode;

    /**
     * 考生考点信息
     */
    @ExcelField(title = "考点信息", align = 2, sort = 7)
    private String examSite;

    /**
     * 考生考场信息
     */
    @ExcelField(title = "考场信息", align = 2, sort = 8)
    private String examRoom;

    /**
     * 考生备注信息
     */
    @ExcelField(title = "考生备注信息", align = 2, sort = 9)
    private String remark;

    /**
     * 科目层次信息
     */
    @ExcelField(title = "层次", align = 2, sort = 10)
    private String subjectLevel;

    /**
     * 专业类型信息
     */
    @ExcelField(title = "专业类型", align = 2, sort = 11)
    private String subjectCategory;

    /**
     * 学院
     */
    @ExcelField(title = "学院*", align = 2, sort = 12)
    private String college;

    /**
     * 班级
     */
    @ExcelField(title = "班级*", align = 2, sort = 13)
    private String className;

    /**
     * 任课老师
     */
    @ExcelField(title = "任课老师*", align = 2, sort = 14)
    private String teacher;

    /**
     * 科目备注信息
     */
    @ExcelField(title = "科目备注信息", align = 2, sort = 15)
    private String subjectRemark;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSubjectLevel() {
        return subjectLevel;
    }

    public void setSubjectLevel(String subjectLevel) {
        this.subjectLevel = subjectLevel;
    }

    public String getSubjectCategory() {
        return subjectCategory;
    }

    public void setSubjectCategory(String subjectCategory) {
        this.subjectCategory = subjectCategory;
    }

    public String getCollege() {
        return college;
    }

    public void setCollege(String college) {
        this.college = college;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getSubjectRemark() {
        return subjectRemark;
    }

    public void setSubjectRemark(String subjectRemark) {
        this.subjectRemark = subjectRemark;
    }
}
