package cn.com.qmth.print.manage.dto;

import cn.com.qmth.print.manage.utils.excel.ExcelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 考生导入dto
 * @Author: CaoZixuan
 * @Date: 2023-10-19
 */
public class ExamStudentImportDTO implements Serializable {

    @ExcelProperty(index = 1, name = "总流水", type = 2)
    private String serialNumber;

    @ExcelProperty(index = 2, name = "考试单元ID", type = 2)
    private String examUnitId;

    @ExcelProperty(index = 3, name = "考试单元", type = 2)
    @NotNull
    private String examUnit;

    @ExcelProperty(index = 4, name = "考点代码", type = 2)
    private String examPlaceCode;

    @ExcelProperty(index = 5, name = "考点名称", type = 2)
    @NotNull
    private String examPlaceName;

    @ExcelProperty(index = 6, name = "报考单位代码", type = 2)
    private String examAgencyCode;

    @ExcelProperty(index = 7, name = "报考单位名称", type = 2)
    private String examAgencyName;

    @ExcelProperty(index = 8, name = "姓名", type = 2)
    @NotNull
    private String studentName;

    @ExcelProperty(index = 9, name = "考生编号", type = 2)
    @NotNull
    private String studentCode;

    @ExcelProperty(index = 10, name = "考生编号后5位", type = 2)
    private String studentCodeEnd;

    @ExcelProperty(index = 11, name = "科目代码", type = 2)
    @NotNull
    private String courseCode;

    @ExcelProperty(index = 12, name = "科目名称", type = 2)
    @NotNull
    private String courseName;

    @ExcelProperty(index = 13, name = "考试时间", type = 2)
    private String examTime;

    @ExcelProperty(index = 14, name = "科目流水号", type = 2)
    private String courseSerialNumber;

    @ExcelProperty(index = 15, name = "考点流水号", type = 2)
    private String examPlaceSerialNumber;

    @ExcelProperty(index = 16, name = "准考证号", type = 2)
    @NotNull
    private String examNumber;

    @ExcelProperty(index = 17, name = "准考证号1", type = 2)
    private String examNumber1;

    @ExcelProperty(index = 18, name = "准考证号2", type = 2)
    private String examNumber2;

    @ExcelProperty(index = 19, name = "准考证号3", type = 2)
    private String examNumber3;

    @ExcelProperty(index = 20, name = "准考证号4", type = 2)
    private String examNumber4;

    @ExcelProperty(index = 21, name = "页码流水", type = 2)
    private String pageSerialNumber;

    @ExcelProperty(index = 22, name = "条码样式码", type = 2)
    private String barStyleCode;

    @ExcelProperty(index = 23, name = "自定义1", type = 2)
    private String custom1;

    @ExcelProperty(index = 24, name = "自定义2", type = 2)
    private String custom2;

    @ExcelProperty(index = 25, name = "自定义3", type = 2)
    private String custom3;

    @ExcelProperty(index = 26, name = "自定义4", type = 2)
    private String custom4;

    @ExcelProperty(index = 27, name = "自定义5", type = 2)
    private String custom5;

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getExamUnitId() {
        return examUnitId;
    }

    public void setExamUnitId(String examUnitId) {
        this.examUnitId = examUnitId;
    }

    public String getExamUnit() {
        return examUnit;
    }

    public void setExamUnit(String examUnit) {
        this.examUnit = examUnit;
    }

    public String getExamPlaceCode() {
        return examPlaceCode;
    }

    public void setExamPlaceCode(String examPlaceCode) {
        this.examPlaceCode = examPlaceCode;
    }

    public String getExamPlaceName() {
        return examPlaceName;
    }

    public void setExamPlaceName(String examPlaceName) {
        this.examPlaceName = examPlaceName;
    }

    public String getExamAgencyCode() {
        return examAgencyCode;
    }

    public void setExamAgencyCode(String examAgencyCode) {
        this.examAgencyCode = examAgencyCode;
    }

    public String getExamAgencyName() {
        return examAgencyName;
    }

    public void setExamAgencyName(String examAgencyName) {
        this.examAgencyName = examAgencyName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentCodeEnd() {
        return studentCodeEnd;
    }

    public void setStudentCodeEnd(String studentCodeEnd) {
        this.studentCodeEnd = studentCodeEnd;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getCourseSerialNumber() {
        return courseSerialNumber;
    }

    public void setCourseSerialNumber(String courseSerialNumber) {
        this.courseSerialNumber = courseSerialNumber;
    }

    public String getExamPlaceSerialNumber() {
        return examPlaceSerialNumber;
    }

    public void setExamPlaceSerialNumber(String examPlaceSerialNumber) {
        this.examPlaceSerialNumber = examPlaceSerialNumber;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getExamNumber1() {
        return examNumber1;
    }

    public void setExamNumber1(String examNumber1) {
        this.examNumber1 = examNumber1;
    }

    public String getExamNumber2() {
        return examNumber2;
    }

    public void setExamNumber2(String examNumber2) {
        this.examNumber2 = examNumber2;
    }

    public String getExamNumber3() {
        return examNumber3;
    }

    public void setExamNumber3(String examNumber3) {
        this.examNumber3 = examNumber3;
    }

    public String getExamNumber4() {
        return examNumber4;
    }

    public void setExamNumber4(String examNumber4) {
        this.examNumber4 = examNumber4;
    }

    public String getPageSerialNumber() {
        return pageSerialNumber;
    }

    public void setPageSerialNumber(String pageSerialNumber) {
        this.pageSerialNumber = pageSerialNumber;
    }

    public String getBarStyleCode() {
        return barStyleCode;
    }

    public void setBarStyleCode(String barStyleCode) {
        this.barStyleCode = barStyleCode;
    }

    public String getCustom1() {
        return custom1;
    }

    public void setCustom1(String custom1) {
        this.custom1 = custom1;
    }

    public String getCustom2() {
        return custom2;
    }

    public void setCustom2(String custom2) {
        this.custom2 = custom2;
    }

    public String getCustom3() {
        return custom3;
    }

    public void setCustom3(String custom3) {
        this.custom3 = custom3;
    }

    public String getCustom4() {
        return custom4;
    }

    public void setCustom4(String custom4) {
        this.custom4 = custom4;
    }

    public String getCustom5() {
        return custom5;
    }

    public void setCustom5(String custom5) {
        this.custom5 = custom5;
    }
}
