package cn.com.qmth.print.manage.service;

import cn.com.qmth.print.manage.entity.ExamStudentEntity;
import cn.com.qmth.print.manage.enums.GroupType;

import cn.com.qmth.print.manage.service.query.ExamStudentQuery;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

public interface ExamStudentService extends IService<ExamStudentEntity> {

    ExamStudentEntity findByExamIdAndExamNumber(Long examId, String examNumber);

    Long findSortNoByExamIdAndGroupTypeAndSort(Long examId, GroupType type, String groupName, boolean isAse);

    List<ExamStudentEntity> listByExamId(Long examId);

    IPage<ExamStudentEntity> pageStudent(ExamStudentQuery query);

    Object importStudents(Long examId, MultipartFile file) throws IOException;

    /**
     * 解析Zip并导入考生
     *
     * @param examId 考试id
     * @return 信息
     */
    Object analyzeZipAndImportStudents(Long examId, MultipartFile file) throws IOException;

    /**
     * 考生数据导出
     *
     * @param response response
     * @param examId   考试id
     */
    void exportExamStudent(HttpServletResponse response, Long examId) throws IOException;

    void deleteByExamId(Long examId);
}
