package cn.com.qmth.print.manage.service.query;

import cn.com.qmth.print.manage.entity.ExamEntity;
import com.qmth.boot.mybatis.query.BaseQuery;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Validated
public class ExamQuery extends BaseQuery<ExamEntity> {

    private static final long serialVersionUID = 3260496142491163981L;

    @ApiModelProperty("印点负责人id")
    private Long printLeaderId;

    @ApiModelProperty("考试批次id")
    private Long id;

    @NotNull
    private boolean enable;

    public Long getPrintLeaderId() {
        return printLeaderId;
    }

    public void setPrintLeaderId(Long printLeaderId) {
        this.printLeaderId = printLeaderId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }

}
