package cn.com.qmth.print.manage.service.query;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import org.apache.poi.ss.formula.functions.T;
import org.springframework.validation.annotation.Validated;

import cn.com.qmth.print.manage.enums.GroupType;
import cn.com.qmth.print.manage.enums.RecordStatus;

import com.qmth.boot.mybatis.query.BaseQuery;

@Validated
public class RecordQuery extends BaseQuery<T> {

    private static final long serialVersionUID = 7620438258556212381L;

    @NotNull
    private Long examId;

    private GroupType groupType;

    private RecordStatus status;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public RecordStatus getStatus() {
        return status;
    }

    public void setStatus(RecordStatus status) {
        this.status = status;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }

}
