package cn.com.qmth.print.manage.service.query;

import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.enums.RoleMeta;
import com.qmth.boot.mybatis.query.BaseQuery;
import org.springframework.validation.annotation.Validated;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@Validated
public class UserQuery extends BaseQuery<UserEntity> {

    private static final long serialVersionUID = 3260496142491163981L;

    private Long userId;

    private RoleMeta role;

    @NotNull
    private boolean enable;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public RoleMeta getRole() {
        return role;
    }

    public void setRole(RoleMeta role) {
        this.role = role;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    @Min(1)
    public long getPageNumber() {
        return super.getPageNumber();
    }

    @Min(1)
    @Max(100)
    public long getPageSize() {
        return super.getPageSize();
    }

}
